Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045526
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Contact Info for Productmajoralways2020-11-27 19:152020-12-04 13:11
Reportercollazoandy4View Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR20Q1SCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045526: Business Partner adresss missing in contact info after a cancel and replace

DescriptionThe business partner address is missing in contact information after cancel and replace a layaway with a product as item declaration
Steps To ReproduceSteps to reproduce
  As White Valley Group Admin Role
    Go to Product window and update Avalanche Transceiver record:
      Item declaration: Y
  Log in VBS-1 POS Terminal with vallblanca user
    Click on Layway This Receipt menu entry
    Set Arturo Montoro as customer in the receipt
    Add Avalanche Transceiver product and set Description 1 in item declaration popup and Apply
    Click on Checkout button
    Click on Layaway button to synchronize the receipt in the backend
    Click on Open Receipt menu entry
    Open the previous layaway
    Click on Cancel and Replace button
    Select Avalanche Transceiver record and click on Contact Info button and check the business partner address is missing
TagsNo tags attached.
Attached Filespatch file icon I45526_20Q1.patch [^] (2,061 bytes) 2020-12-04 06:17 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124705)
hgbot (developer)
2020-12-04 06:02

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.contactinfoforproduct/-/merge_requests/6 [^]
(0124713)
hgbot (developer)
2020-12-04 13:11

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.contactinfoforproduct [^]
Changeset: 724299e4a5942834ceced84536ff25f926bb9caf
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-12-03T17:15:12+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.contactinfoforproduct/-/commit/724299e4a5942834ceced84536ff25f926bb9caf [^]

Fixed BUG-45526: Fixes Contact Info - Business Partner Address not loaded in Item Declaration Popup
* Fixes js error where model is used before model is created
* Added missing property based on which Business Partner Address is loaded

---
M web/org.openbravo.retail.contactinfoforproduct/js/modalItemDeclaration.js
---
(0124714)
hgbot (developer)
2020-12-04 13:11

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.contactinfoforproduct/-/merge_requests/6 [^]

- Issue History
Date Modified Username Field Change
2020-11-27 19:15 collazoandy4 New Issue
2020-11-27 19:15 collazoandy4 Assigned To => Retail
2020-11-27 19:15 collazoandy4 Triggers an Emergency Pack => No
2020-11-27 19:16 collazoandy4 Reproducibility have not tried => always
2020-11-27 19:16 collazoandy4 version => RR20Q1
2020-12-03 07:03 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-12-03 12:48 prakashmurugesan88 Status new => scheduled
2020-12-04 06:02 hgbot Note Added: 0124705
2020-12-04 06:17 prakashmurugesan88 File Added: I45526_20Q1.patch
2020-12-04 13:11 hgbot Resolution open => fixed
2020-12-04 13:11 hgbot Status scheduled => closed
2020-12-04 13:11 hgbot Note Added: 0124713
2020-12-04 13:11 hgbot Note Added: 0124714


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker